{ inputs, ... }:
let
  self = inputs.self;
in
{
  nixpkgs.overlays = [
    (final: prev: {
      uv-bin = self.packages.x86_64-linux.uv-bin;
      lanshare = self.packages.x86_64-linux.lanshare;
      warpssh = self.packages.x86_64-linux.warpssh;
      kropcloud-utils = inputs.kropcloud-utils.packages.x86_64-linux.default;
      gamescope = prev.gamescope.overrideAttrs (oldAttrs: {
        patches = (oldAttrs.patches or [ ]) ++ [
          (final.fetchpatch {
            url = "https://patch-diff.githubusercontent.com/raw/ValveSoftware/gamescope/pull/1867.patch";
            hash = "sha256-L7E0MLZOuOCYmjZsjub8ua0SKO4T830pQL0/TMP/pOw=";
          })
        ];
      });

      #       plymouth = prev.plymouth.overrideAttrs (
      #         { src, ... }:
      #         {
      #           # https://github.com/NixOS/nixpkgs/issues/332812#issuecomment-2355066767
      #           version = "24.004.60-unstable-2024-08-28";
      #
      #           src = src.override {
      #             rev = "ea83580a6d66afd2b37877fc75248834fe530d99";
      #             hash = "sha256-GQzf756Y26aCXPyZL9r+UW7uo+wu8IXNgMeJkgFGWnA=";
      #           };
      #         }
      #       );
    })
  ];
}
